# Component

  description..

## What is a component?

  A component provides true modularity of all
  units that comprise a web application. Components
  may be as small or large as you see fit, and are
  npm-installable modules like any other in node, and
  thus dependencies are resolved for you, promoting
  smaller re-usable scripts.

## JavaScript

  Currently _all_ components with client-side
  JavaScript use file-scoping, as they are wrapped
  with a function exposing them to a common-js
  `require()` system similar to node's.

  The declarative nature of components means that
  in the future we could dynamically serve
  components after a page has loaded, backed
  by something like requirejs or similar.

## Example component

  A component may be JavaScript, CSS, images,
  server-side scripts, or any combination necessary. The
  following is the simplest possible component, consisting
  of a single script `jquery`.

```json
{
  "name": "jquery",
  "description": "The jQuery library",
  "version": "0.0.1",
  "component": {
    "scripts": {
      "jquery": "build/jquery.js"
    }
  }
}
```

  Once served with component jquery would be
  available to the client:

```js
var $ = require('jquery');
```

## Stylesheets

  Stylesheets ideally should contain only structural styling,
  leaving opinionated colors and design to the host application.

## Polyfills

  Components should not directly depend on polyfills. For example
  you should assume `JSON.parse()` is available, the host application
  may choose to conditionally load a polyfill if desired.

## Future

  Specs... 