
/**
 * Module dependencies.
 */

var Component = require('./Component');

/**
 * Expose `createComponent()`.
 */

exports = module.exports = createComponent;

/**
 * Expose `Component`.
 */

exports.Component = Component;

/**
 * Expose middleware.
 */

exports.middleware = require('./middleware');

/**
 * Expose plugins.
 */

exports.compress = require('./plugins/compress');
exports.rework = require('./plugins/rework');
exports.jade = require('./plugins/jade');
exports.html = require('./plugins/html');
exports.css = require('./plugins/css');

/**
 * Create a new `Component`.
 *
 * @param {String} path
 * @return {Component}
 * @api public
 */

function createComponent(path) {
  return new Component(path);
}