
/**
 * Module dependencies.
 */

var debug = require('debug')('component:jade');

/**
 * Jade template plugin.
 *
 * @return {Function}
 * @api public
 */

module.exports = function(){
  var jade = require('jade');

  debug('used jade()');

  return function(component){
    component.on('template:jade', function(path, str, fn){
      debug('compiling %s', path);

      var tmpl = jade.compile(str, {
        compileDebug: false,
        client: true,
        filename: path
      });

      fn(null, tmpl);
    });
  }
}